--- title: "Get snapshot creation history" slug: "analytics-vpcsearchengine-snapshot-getsnapshothistory" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-snapshot-getsnapshothistory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get snapshot creation history Available in VPC Get search engine cluster snapshot creation history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/snapshot/getSnapshotHistory/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/snapshot/getSnapshotHistory/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/snapshot/getSnapshotHistory/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/snapshot/getSnapshotHistory/1037*****?pageNo=1&pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.currentPage` | Integer | - | Current page number | | `result.isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `result.isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `result.pageSize` | Integer | - | Page output count | | `result.totalCount` | Integer | - | Number of response results | | `result.totalPage` | Integer | - | Total number of pages | | `result.snapshotHistoryResponseList` | Array | - | Snapshot creation history list: [snapshotHistoryResponseList](/docs/en/analytics-vpcsearchengine-snapshot-getsnapshothistory#snapshotHistoryResponseList) | | `requestId` | String | - | ID for the request - UUID format | #### `snapshotHistoryResponseList` The following describes `snapshotHistoryResponseList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `idx` | Integer | - | History serial number | | `clusterName` | String | - | Cluster name | | `snapshotName` | String | - | Snapshot name | | `memberNo` | String | - | User's NAVER Cloud Platform member ID | | `serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `actionDate` | String | - | Job date and time - yyyy-MM-dd HH:mm:ss format | | `duration` | String | - | Execution time | | `requestType` | String | - | Job type - `R` \| `C` - `R`: requested - `C`: completed | | `message` | String | - | Task details | | `bucketName` | String | - | Target bucket name | | `hasErrorLog` | Boolean | - | Whether error occurred and log generated - `true` \| `false` - `true`: Error occurred and log exists. - `false`: No error. | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "currentPage": 1, "isFirst": true, "isLast": true, "pageSize": 10, "totalCount": 2, "totalPage": 1, "snapshotHistoryResponseList": [ { "idx": 7742, "clusterName": "cluster000", "snapshotName": "snapshot-20250324", "memberNo": "279****", "serviceGroupInstanceNo": 1037*****, "actionDate": "2025-03-24 16:49:33", "duration": "403ms", "requestType": "C", "message": "snapshot-20250324 snapshot creation completed", "bucketName": "bk.ses.snapshot", "hasErrorLog": false }, { "idx": 7741, "clusterName": "cluster000", "snapshotName": "snapshot-20250324", "memberNo": "279****", "serviceGroupInstanceNo": 1037*****, "actionDate": "2025-03-24 16:49:32", "duration": null, "requestType": "R", "message": "snapshot-20250324 snapshot creation started", "bucketName": "bk.ses.snapshot", "hasErrorLog": false } ] }, "requestId": "835bee49-****-****-****-57a3ec4e85eb" } ```